Summary:	Support library for syslog-ng
Name:		libol
Group:          System Environment/Libraries
License:	GPL
Version:	0.3.16
Release:	1
Source0:	http://www.balabit.com/downloads/libol/0.2/libol-%{version}.tar.gz
Patch0:		libol-0.3.16-no-scsh-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
libol is a shared library required by the syslog-ng logging daemon.

%files
  %defattr(-,root,root)
  %doc ChangeLog
  %attr(0555,root,root)	%{_bindir}/make_class
  %attr(0555,root,root)	%{_libdir}/libol.so.*

%package devel
Summary:	Development headers and libraries for libol
Group:          Development/Libraries
PreReq:		%{name} = %{version}
Obsoletes:	libol-devel-static

%description devel
libol-devel contains the headers and development libraries for libol.

%files devel
  %defattr(-,root,root)
  %attr(0555,root,root)	%{_bindir}/libol-config
  %attr(0555,root,root)	%{_libdir}/%{name}.so
  %attr(0444,root,root)	%{_includedir}/libol/*
  %attr(0444,root,root)	%{_libdir}/%{name}.a
  %attr(0444,root,root)	%{_libdir}/%{name}.la

%prep
%setup -q
%patch0 -p1

%build
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR=$RPM_BUILD_ROOT install

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 0.3.16, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
